Subject: Re: bug#66706: [PATCH] Automatic elisp dialect insertion

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Oct 2023 15:48:09 +0300

On 25/10/2023 15:36, Nikolay Kudryavtsev wrote:
> Same thing here. Assuming the user is reasonable, but not knowledgeable 
> yet, there's a risk that forcefully adding that cookie would derail such 
> a user solving some trivial problem into learning the differences 
> between dynamic and lexical scoping way before he really has to actually 
> care about them.

Knowing the difference can be helpful, though.

E.g. flymake in emacs-lisp-mode isn't very useful without lexbind.